This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 869893 - (CVE-2012-4194, CVE-2012-4195, CVE-2012-4196) CVE-2012-4194 CVE-2012-4195 CVE-2012-4196 Mozilla: Fixes for Location object issues (MFSA 2012-90)
CVE-2012-4194 CVE-2012-4195 CVE-2012-4196 Mozilla: Fixes for Location object ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20121026,repor...
: Security
Depends On:
Blocks: 869715
  Show dependency treegraph
 
Reported: 2012-10-25 00:53 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-04-12 13:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 13:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-10-25 00:53:15 EDT
Mozilla has fixed a number of issues related to the Location object in order to enhance overall security. Details for each of the current fixed issues are below.

Thunderbird is only affected by window.location issues through RSS feeds and extensions that load web content.

Security researcher Mariusz Mlynski reported that the true value of window.location could be shadowed by user content through the use of the valueOf method, which can be combined with some plugins to perform a cross-site scripting (XSS) attack on users. 

Mozilla security researcher moz_bug_r_a4 discovered that the CheckURL function in window.location can be forced to return the wrong calling document and principal, allowing a cross-site scripting (XSS) attack. There is also the possibility of gaining arbitrary code execution if the attacker can take advantage of an add-on that interacts with the page content. 

Security researcher Antoine Delignat-Lavaud of the PROSECCO research team at INRIA Paris reported the ability to use property injection by prototype to bypass security wrapper protections on the Location object, allowing the cross-origin reading of the Location object. 



External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-90.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Mariusz Mlynski, moz_bug_r_a4 and Antoine Delignat-Lavaud as the original reporter.
Comment 1 errata-xmlrpc 2012-10-26 19:50:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1407 https://rhn.redhat.com/errata/RHSA-2012-1407.html
Comment 2 errata-xmlrpc 2012-10-29 19:46:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1413 https://rhn.redhat.com/errata/RHSA-2012-1413.html

Note You need to log in before you can comment on or make changes to this bug.